Summary:        Fast, simple object-to-object and broadcast signaling
Name:           python-blinker
Version:        1.5
Release:        3%{?dist}
License:        MIT
URL:            https://pythonhosted.org/blinker/
Source0:        %{pypi_source blinker}

BuildArch:      noarch
BuildRequires:  python3-devel  python3-setuptools
BuildRequires:  pytest

%description
Blinker provides a fast dispatching system that allows any number\
of interested parties to subscribe to events, or "signals".

%package -n python3-blinker
Summary:        Fast, simple object-to-object and broadcast signaling
Provides:       python3-blinker

%description -n python3-blinker
Blinker provides a fast dispatching system that allows any number
of interested parties to subscribe to events, or "signals".

%prep
%autosetup -n blinker-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-blinker
%doc docs/ CHANGES.rst LICENSE.rst README.rst PKG-INFO
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/blinker

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.5-1
- package init.

